@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
}
body {
    min-height: 100vh;
    background-color: #BF926B;
    overflow-x: hidden;
}
.bar {
    background-image: url(../media/fundo_bar.webp);
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: space-between;
    height: 120px;
    width: 100%;
    padding: 0 20px;
    position: sticky;
    top: 0px;
}
.bar img {
    height: 225px;
    width: 225px;
}
.mobile_menu{
    display: none;
    cursor: pointer;
}
.mobile_menu div{
    width: 32px;
    height: 2px;
    background: #fff;
    margin: 8px;
}
.bar ul {
    display: flex;
}
.bar ul li {
    list-style: none;
    display: flex;
    align-items: center;
    justify-content: center;
}
.bar ul li img {
    height: 45px;
    width: 45px;
    padding: 10px;
}
.bar ul li a {
    text-decoration: none;
    color: #ffff;
    font-size: 20px;
    margin-right: 15px;
    transition: color 0.3s ease;
}
.bar ul li:hover a {
    color: #733822;
}
.bar ul li:last-child a {
    margin: 0;
}
.contato {
    background-color: #8C4830;
    padding: 6px 15px;
    border: none;
    font-size: 16px;
    cursor: pointer;
    border-radius: 6px;
    transition: background-color 0.3s ease;
    margin-left: 20px;
}
.contato a{
    color: #ffff;
    text-decoration: none;
}
.contato:hover {
    background-color: #733822;
}
.loja {
    background-image: linear-gradient(#c69c6dd7, #8c4930d7), url("../media/Fachada_loja.webp");
    height: 500px;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background-size: cover;
}
.loja h2 {
    font-size: 50px;
    color: #253734;
    font-weight: 600;
}
.loja h2 span {
    color: #253734;
    text-decoration: underline;
}
.loja p.ramo {
    font-size: 44px;
    font-weight: 600;
    color: #253734;
    margin-top: 8px;
}
.loja p.resumo {
    font-size: 20px;
    color: #E1DDD4;
    margin-top: 20px;
    inline-size: 700px;
    text-align: center;
}
.servicos {
    background-image: url(../media/Fundo_verde.webp);
    background-size: cover;
    padding: 50px;
    display: flex;
    flex-wrap: nowrap;
    gap: 24px;
}
.servicos .item {
    background-color: #E1DDD4;
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 200px;
    width: 100%;
    border-radius: 10px;
    padding: 0 30px;
    border: 3px solid transparent;
    transition: all 0.3s ease;
}

.servicos .item .info {
    display: flex;
    flex-direction: column;
    align-items: center;
}
.servicos .item .info h3 {
    color: #253734;
    font-size: 28px;
}
.servicos .item .info p {
    color: black;
    font-size: 15px;
    font-weight: 600;
}
.instagram_embed {
    background-image: url(../media/fundo_insta.webp);
    background-size: cover;
    padding: 100px;
}
.instagram_embed iframe {
    border-radius: 10px;
    width: 100%;
    height: 1150px;
}
.mapa_embed {
    padding-top: 50px;
    padding: 10px;
    font-size: 32px;
    color: white;
}
.mapa_embed iframe{
    border-width: 3px;
    border-color: #000;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}
.mapa {
    border-radius: 10px;
    width: 100%;
    height: 400px;
}
footer {
    background-color: #4F3D33;
    display: flex;
    justify-content: start;
    align-items: center;
    padding: 20px;
    width: 100%;
    color: #fff;
    font-size: 20px;
    transition: color 0.3s ease;
}
footer {
    position: relative;
    background: #1c1c1c;
    padding: 80px 50px 40px;
    margin-top: 100px;
}
footer .cols .loja_col p:last-child{
    padding-bottom: 20px;
}
footer .cols .links_col a{
    display: block;
    text-decoration: none;
    color: #fff;
    transition: color 0.3s ease;
}
footer .cols .links_col a:hover{
    color: #733822;
}
footer .cols .links_col a:last-child {
    padding-bottom: 20px;
}
footer .rodape_central {
    display: flex;
    align-items: center;
    justify-content: space-around;
    position: absolute;
    background-color: #fff;
    padding: 30px 25px;
    border-radius: 15px;
    width: 70%;
    top: -16%;
    left: 15%;
    color: #000;
}
footer .rodape_central button{
    color: #253734;
    background: transparent;
    border: 1px solid #000;
    cursor: pointer;
    padding: 8px 20px;
    border-radius: 100px;
    transition: all 0.3s ease;
    text-decoration: none;
}
footer .rodape_central button:hover{
    background-color: #733822;
    border-color: #733822;
}
footer .rodape_central button:hover a{
    color: #fff;
}
footer .rodape_central a{
    text-decoration: none;
    color: #000;
}
footer img{
    height: 225px;
    width: 225px;
}
footer .cols{
    display: flex;
    align-items: center;
}
footer .cols .loja_col{
    padding-right: 100px;
    padding-left: 100px;
}
footer .cols .links_col{
    padding-right: 100px;
}
footer .cols .dev_col{
    font-size: small;
    position: absolute;
    bottom: 10px;
    right: 10px;
    opacity: 30%;
}
.nav_list.active{
    transform: translateX(0);
}
@keyframes navLinkFade {
    from {
      opacity: 0;
      transform: translateX(50px);
    }
    to {
      opacity: 1;
      transform: translateX(0);
    }
  }
@media (max-width: 768px) {
    body{
        overflow-x: hidden;
    }
    .bar {
        position: static;
        flex-direction: column;
        height: auto;
    }
    .bar button {
        display: none;
    }
    .bar img {
        height: 5.5em;
        width: 5.5em;
    }
    .menu_cabecalho{
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .nav_list{
        position: absolute;
        background-image: url(../media/fundo_bar.webp);
        background-size: cover;
        top: 10vh;
        right: 0;
        width: 50vw;
        height: 60vh;
        flex-direction: column;
        align-items: center;
        justify-content: space-around;
        transform: translateX(100%);
        transition: transform 0.3s ease-in;
    }
    .nav_list li{
        margin-left: 0;
        opacity: 0;
    }
    .mobile_menu{
        display: block;
    }
    .mobile_menu.active .line1 {
        transform: rotate(-45deg) translate(-8px, 8px);
      }
      
      .mobile_menu.active .line2 {
        opacity: 0;
      }
      
      .mobile_menu.active .line3 {
        transform: rotate(45deg) translate(-5px, -7px);
      }
    .bar ul {
        flex-direction: column;
    }
    .servicos {
        flex-wrap: wrap;
    }
    .servicos .item {
        flex-direction: column;
        height: auto;
    }
    .loja {
        padding: 2%;
        text-align: center; 
    }
    .loja h2 {
        font-size: 2.25em;
        display: flex;
        justify-content: center;
        align-items: center;
    }
    .loja p.ramo {
        font-size: 1.875em;
    }
    .loja p.resumo {
        font-size: 1em;
        inline-size: 90%;
        text-align: center; 
    }
    .instagram_embed {
        padding: 4%; 
        height: auto; 
    }
    .instagram_embed iframe {
        width: 100%;
        height: 45em; 
        margin-bottom: 30px; 
    }
    .mapa_embed {
        padding: 4%; 
        margin-top: 30px; 
    }
    .mapa {
        width: 100%;
        height: 25em; 
    }
    footer .rodape_central {
        display: none;
    }
    footer .cols {
        display: block;
        align-items: start;
        justify-content: start;
    }
     footer .cols .loja_col{
        padding-left: 0%;
    }
}
@media (max-width: 480px) {
    .bar {
        position: static;
        text-align: center; 
    }
    .bar button {
        display: none;
    }
    .loja h2 {
        font-size: 1.75em;
        display: block;
    }
    .loja p.ramo {
        font-size: 1.5em;
    }
    .loja p.resumo {
        font-size: 0.875em;
        inline-size: 100%;
    }
    .servicos {
        padding: 1.25em;
    }
    .servicos .item {
        padding: 0.625em;
    }
    .instagram_embed {
        padding: 5%; 
        height: auto; 
    }
    .instagram_embed iframe {
        width: 100%;
        height: 30em; 
        margin-bottom: 20px; 
    }
    .mapa_embed {
        padding: 5%; 
        margin-top: 20px; 
    }
    .mapa {
        width: 100%;
        height: 18em; 
    }
    footer .rodape_central {
        display: none;
    }
}
